Loading...
Searching...
No Matches
casacore::MultiRecordFieldWriter Class Reference
casa package (libcasa_casa) » Containers_module » Containers_module_internal_classes

Multi field writer. More...

`#include <RecordFieldWriter.h>`

## Public Member Functions

void | addWriter (RecordFieldWriter *fromNew)
void | copy ()
| ~MultiRecordFieldWriter ()

## Private Attributes

PtrBlock< RecordFieldWriter * > | writers_p
| Make faster by having the RecordFieldCopiers split out so straight copying is inline.

## Detailed Description

Multi field writer.

Copy many fields with a single call.

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Etymology

This class contains other copiers and copies multiple fields at a time.

### Motivation

It was useful to set up a number of copiers and invoke them as appropriate via a single function call.

Definition at line 153 of file RecordFieldWriter.h.

## Constructor & Destructor Documentation

## ~MultiRecordFieldWriter()

casacore::MultiRecordFieldWriter::~MultiRecordFieldWriter | ( |  | ) |

## Member Function Documentation

## addWriter()

void casacore::MultiRecordFieldWriter::addWriter | ( | RecordFieldWriter * | fromNew | ) |

## copy()

void casacore::MultiRecordFieldWriter::copy | ( |  | ) |

## Member Data Documentation

## writers_p

PtrBlock<RecordFieldWriter *> casacore::MultiRecordFieldWriter::writers_p

private

Make faster by having the RecordFieldCopiers split out so straight copying is inline.

Definition at line 162 of file RecordFieldWriter.h.

The documentation for this class was generated from the following file:

- casa/Containers/RecordFieldWriter.h